﻿define("aiassistant/editors/AiValidationTextarea", [
    "dojo/_base/declare",
    "epi/_Module",
    "aiassistant/editors/AiTextarea",
    "epi/shell/widget/_ValueRequiredMixin"
],

    function (declare, Textarea, _ValueRequiredMixin) {
        return declare([Textarea, _ValueRequiredMixin], {
            correlationid: null,//custom Prop
            // summary:
            //    Textarea that supports required validation.
            //
            // description:
            //   Works with single boolean value instead of array like HTML or dijit Checkbox.
            //
            // tags:
            //    public
            _setPlaceHolderAttr: function (placeholder) {
                // summary:
                //      Sets the placeholder attribute on the textarea.
                // tags:
                //      protected
                this.inherited(arguments);
                this.set("placeholder", placeholder);
            },
        });
    });
